{
  "name": "civilization",
  "version": "0.0.19",
  "scripts": {
    "ng": "ng",
    "start": "node index.js",
    "dev": "ng build --watch",
    "server": "ng build --prod && node index.js",
    "live": "nodemon server.js",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "nodemonConfig": {
    "ignore": [
      "src/*",
      "db/*",
      "dist/*"
    ],
    "delay": "2500"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~8.0.1",
    "@angular/cli": "~8.0.3",
    "@angular/common": "~8.0.1",
    "@angular/compiler": "~8.0.1",
    "@angular/compiler-cli": "~8.0.1",
    "@angular/core": "~8.0.1",
    "@angular/forms": "~8.0.1",
    "@angular/platform-browser": "~8.0.1",
    "@angular/platform-browser-dynamic": "~8.0.1",
    "@angular/router": "~8.0.1",
    "@ngrx/core": "^1.2.0",
    "@ngrx/store": "^8.6.0",
    "@ngrx/store-devtools": "^8.6.0",
    "bcrypt": "^3.0.7",
    "express": "^4.17.1",
    "express-http-proxy": "^1.6.0",
    "mongoose": "^5.8.7",
    "ngx-socket-io": "^2.1.1",
    "rxjs": "~6.4.0",
    "socket.io": "^2.3.0",
    "socket.io-client": "^2.3.0",
    "tslib": "^1.9.0",
    "typescript": "~3.4.3",
    "zone.js": "~0.9.1"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^0.803.23",
    "@angular/cli": "~8.0.3",
    "@angular/compiler-cli": "~8.0.1",
    "@angular/language-service": "~8.0.1",
    "@types/jasmine": "~3.3.8",
    "@types/jasminewd2": "^2.0.8",
    "@types/node": "~8.9.4",
    "codelyzer": "^5.2.1",
    "jasmine-core": "~3.4.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~4.1.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "^1.5.1",
    "protractor": "~5.4.0",
    "ts-node": "~7.0.0",
    "tslint": "~5.15.0",
    "typescript": "~3.4.3"
  }
}
